# GimpUi.DrawableChooser

    from gi.repository import GimpUi

    drawable_chooser = GimpUi.DrawableChooser(drawable=value, drawable_type=value, label=value, title=value)

The chooser contains an optional label and a button which queries the core process to pop up a drawable selection dialog.

Since 3.0

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.DrawableChooser

## Methods

- GimpUi.DrawableChooser.get_drawable
- GimpUi.DrawableChooser.get_label
- GimpUi.DrawableChooser.set_drawable

## Properties

- drawable
- drawable-type
- label
- title